//*****************************************************************************
//
// Имя файла    : 'plugin.cpp'
// Описание     : Плагин драйвера ввода-вывода
// Автор        : Межлумов В.Ш.
//
//*****************************************************************************

#include <plugin.h>


// ============================================================================
//
///                              Конструктор
//
// ============================================================================

CPlugin::CPlugin () :
    QObject(),
    m_drv(this)
{
}


// ============================================================================
///                     Запрос указателя на драйвер
// ============================================================================
/// \return     Указатель на объект драйвера
// ============================================================================

CDriver* CPlugin::GetDriver (void)
{
    return &m_drv;
}
